package main

import (
	"fmt"
	"net/http"
	"os"
	"sirlab.de/go/knyt/application"
	"sirlab.de/go/knyt/applicationConfig"
	"sirlab.de/go/knyt/handler"
)

func main() {
	appConfig := applicationConfig.NewApplicationConfig()
	app, err := application.NewApplication(appConfig)
	if err != nil {
		fmt.Printf("%v\n", err)
		os.Exit(1)
	}
	mux := handler.NewAuthMux(app)

	mux.PublicHandleFunc("/__intern__/exit", handler.Exit)

	// default handler
	fsHandler := http.FileServer(http.Dir("../../client/dist/"))
	mux.PrivateHandle("/private/", fsHandler)
	mux.PublicHandle("/", fsHandler)

	// start listening
	fmt.Printf("http://localhost:%d/\n", mux.Port)
	mux.ListenAndServe()
}
